/*******************************************************************************
 * Copyright (c) 2006 Novell, Inc..
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Jim Sermersheim - Initial cut of interfaces agreed upon 20060707
 *******************************************************************************/

package org.eclipse.higgins.idas;

/**
 * As defined at <a href="http://spwiki.editme.com/DigitalSubjectM4">http://spwiki.editme.com/DigitalSubjectM4</a> and <a href="http://spwiki.editme.com/ContextProvider">http://spwiki.editme.com/ContextProvider</a>, This interface holds a set of {@link IDigitalSubject} objects.<p>
 * TODO (Doc): Finish javadoc on methods   
 */
public interface IDigitalSubject extends IHasMetadata, IHasAttributes, IHasRelationships<IDigitalSubjectRef>
{
	/**
	 * @return The Context holding this Digital Subject.
	 * @throws IdASException
	 */
	public IContext	getContext() throws IdASException;

	/**
	 * Returns the Contextually Unique Identifier of this Digital Subject
	 * 
	 * @return Contextually Unique Identifier of this Digital Subject
	 * @throws IdASException
	 */
	public String getUniqueID() throws IdASException;
	
	/**
	 * Returns the type of this Digital Subject.<p>
	 * As all Digital Subjects are required to have a type attribute, 
	 * this is a shortcut for calling getAttribute("<URI of type attrID>").<p>
	 * TODO (Arch): The above comment presumes we have a higgins-defined attribute type called "type". Do we need this?<p>
	 * TODO (Doc): We decided to make the type be a String rather than 
	 * URI -- need to remember why, and document it.
	 * @return This Digital Subject's type
	 * @throws IdASException
	 */
	public String getType() throws IdASException;
	
}
