/*******************************************************************************
 * Copyright (c) 2006 Novell, Inc..
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Jim Sermersheim - Initial cut of interfaces agreed upon 20061005
 *******************************************************************************/

package org.eclipse.higgins.idas;

import java.net.URI;
import org.eclipse.higgins.idas.IdASException;

/**
 * Represents a filter assertion about a Digital Subject's Attributes 
 * ({@link org.eclipse.higgins.idas.IDigitalSubject#getAttribute(URI)} and {@link org.eclipse.higgins.idas.IDigitalSubject#getAttributes()}).<p>
 * See {@link org.eclipse.higgins.idas.IFilterPropertyAssertion} for more doc
 */
public interface IFilterAttributeAssertion extends IFilterPropertyAssertion{
	
	/**
	 * Adds an attribute metadata filter to this attribute assertion.
	 * @param metadataFilter A filter, specifying attribute metadata 
	 * 						which must match for this assertion to match.
	 * 						This allows one to differentiate between two attributes 
	 * 						of the same type where the metadata differs. 
	 */
	public void setMetadataFilter(IFilter metadataFilter) throws IdASException;
}
