/*******************************************************************************
 * Copyright (c) 2006 Novell, Inc..
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Jim Sermersheim - Initial cut of interfaces agreed upon 20060707
 *******************************************************************************/

package org.eclipse.higgins.idas;

import java.net.URI;

/**
 * Represents a relationship to another object.<p>
 * TODO (Doc): add javadoc to methods. 
 *
 * @param <T> 	The type of object used to indicate the related object.<p>
 * 				This may be the related-to object itself, or an identifier representing it.<p>  
 */
public interface IRelationship <T> extends IHasMetadata {
	
	/**
	 * Returns this relationship's type. Note that this is not the same as the type of T.<p>
	 * TODO (Doc): Add (or point at) doc which explains relationship types.
	 * TODO (Doc): Add example types. Possibly some that denote hierarchy (parent, child, sibling). 
	 * @return A {@link URI} representing this relationship's type.
	 * @throws IdASException
	 */
	public URI getType() throws IdASException;
	
	public Iterable<T> getRelatedObjects() throws IdASException;
	public void	addRelatedObject(T object) throws IdASException;
	public void	removeRelatedObject(T object) throws IdASException;
}
