/*******************************************************************************
 * Copyright (c) 2006 Novell, Inc..
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Jim Sermersheim - Initial cut
 *******************************************************************************/

package org.eclipse.higgins.idas.impl;

import java.util.Vector;

import org.eclipse.higgins.idas.IComplexValue;
import org.eclipse.higgins.idas.IProperty;
import org.eclipse.higgins.idas.IdASException;

/**
 * Basic implementation of {@link IComplexValue}. Uses {@link BasicPropertySet}. 
 *
 */
public abstract class AbstractComplexValue extends BasicPropertySet implements IComplexValue {

	public AbstractComplexValue() {
		super();
	}

	public AbstractComplexValue(Iterable<IProperty> props) {
		super(props);
	}

	public AbstractComplexValue(Vector<IProperty> props) {
		super(props);
	}

	public boolean isSimple() throws IdASException {
		return false;
	}

}
