/*******************************************************************************
 * Copyright (c) 2006 Novell, Inc..
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Jim Sermersheim - Initial cut
 *******************************************************************************/

package org.eclipse.higgins.idas.impl;

import org.eclipse.higgins.idas.ISimpleValue;
import org.eclipse.higgins.idas.IdASException;

public abstract class AbstractSimpleValue implements ISimpleValue {
	public static final String OWL_TYPE_SUFFIX = "SimpleValue";

	/**
	 * Default implementation of getLexical calls toString() on the backing datatype.
	 */
	public String getLexical() throws IdASException {
		return (String)getData().toString();
	}

	/**
	 * Default implementation of getCanonical calls toString() on the backing datatype.
	 */
	public String getCanonical() throws IdASException {
		return (String)getData().toString();
	}

	/**
	 * returns true
	 */
	public boolean isSimple() throws IdASException {
		return true;
	}

}
