/*******************************************************************************
 * Copyright (c) 2006 Novell, Inc..
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Jim Sermersheim - Initial impl
 *******************************************************************************/
package org.eclipse.higgins.idas.impl;

import java.net.URI;

import org.eclipse.higgins.idas.IDigitalSubjectRef;
import org.eclipse.higgins.idas.IdASException;

/**
 * Basic implementation of {@link IDigitalSubjectRef}
 *
 */
public class BasicDigitalSubjectRef implements IDigitalSubjectRef {

	private URI _contextRef;
	private String _cuid;
	
	/**
	 * 
	 */
	public BasicDigitalSubjectRef(URI contextRef, String subjectCUID) {
		_contextRef = contextRef;
		_cuid = subjectCUID;
	}

	/** 
	 * @see org.eclipse.higgins.idas.IDigitalSubjectRef#getContextRef()
	 */
	public URI getContextRef() throws IdASException {
		return _contextRef;
	}

	/**
	 * @see org.eclipse.higgins.idas.IDigitalSubjectRef#getUniqueID()
	 */
	public String getUniqueID() throws IdASException {
		return _cuid;
	}

}
