/*******************************************************************************
 * Copyright (c) 2006 Novell, Inc..
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Jim Sermersheim - Initial cut
 *******************************************************************************/

package org.eclipse.higgins.idas.impl;

import org.eclipse.higgins.idas.IDigitalSubjectRef;
import org.eclipse.higgins.idas.IFilter;
import org.eclipse.higgins.idas.IFilterRelationshipAssertion;
import org.eclipse.higgins.idas.IdASException;

public class BasicFilterRelationshipAssertion extends BasicFilterAssertion
		implements IFilterRelationshipAssertion {

	private IFilter _metadataFilter;
	private IDigitalSubjectRef _assertion;
	
	public BasicFilterRelationshipAssertion() {
		super();
	}

	public void setMetadataFilter(IFilter metadataFilter) throws IdASException {
		_metadataFilter = metadataFilter;
	}

	public IFilter getMetadataFilter() throws IdASException {
		return _metadataFilter;
	}

	public void setAssertionValue(IDigitalSubjectRef assertion)
			throws IdASException {
		_assertion = assertion;
	}

	public IDigitalSubjectRef getAssertionValue()
			throws IdASException {
		return _assertion;
	}
}
